<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sd="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Setting Kewajiban List</title>
</head>
<body>
<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Setting Kewajiban List</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <a th:href="@{/setting/setting_kewajiban/new}" name="tambah" type="button" class="btn btn-block btn-primary">+ Kewajiban</a>
                        </div>
                    </div>


                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered text-center">
                <thead>
                    <tr>
                        <th>No.</th>
                        <th>Jenis Kewajiban</th>
                        <th>Tanggal Mulai Berlaku</th>
                        <th>Waktu Mulai</th>
                        <th>Waktu Selesai</th>
                        <th>Tipe Check In</th>
                        <th>Desctiption</th>
                        <th>Bobot Nilai</th>
                        <th>Action</th>
                        <th>Delete</th>
                    </tr>
                </thead>
                <tbody>
                    <tr th:each="dataKewajiban,row : ${listKewajiban.content}">
                        <td th:text="${(row.index + 1) + (listKewajiban.number * listKewajiban.size)}"></td>
                        <td th:text="${dataKewajiban.jenisKewajiban.namaJenisKewajiban}"></td>
                        <td th:text="${#temporals.format(dataKewajiban.tanggalMulaiBerlaku,'dd-MMM-yyyy')}"></td>
                        <td th:text="${dataKewajiban.waktuMulai}"></td>
                        <td th:text="${dataKewajiban.waktuSelesai}"></td>
                        <td th:text="${dataKewajiban.tipeCheckIn}"></td>
                        <td th:text="${dataKewajiban.deskripsi}"></td>
                        <td th:text="${dataKewajiban.bobotNilai}"></td>
                        <td>
                            <a class="btn btn-warning btn-xs" th:href="@{/setting/setting_kewajiban/edit(kewajiban = ${dataKewajiban.id})}">
                                <i class="fa fa-edit"></i>Edit</a>
                        </td>
                        <td>
                            <form role="form" th:action="@{/setting/setting_kewajiban/hapus(kewajiban=${dataKewajiban.id})}" method="post">
                                <button type="submit" class="btn btn-danger btn-xs pull-right"
                                        onclick="return confirm('Are you sure want to delete this?')">
                                    <i class="fa fa-trash"></i> Delete </button>
                            </form>
                        </td>
                    </tr>
                    <tr th:if="${#lists.isEmpty(listKewajiban.content)}">
                        <td colspan="10" class="text-center">Data not found</td>
                    </tr>
                </tbody>
                <tr th:if="${#lists.isEmpty(listKewajiban.content)}">
                    <td colspan="7" class="text-center"> Data Not Found</td>
                </tr>
            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
</html>